Subject: Re: bug#762: Debian removed essential startup scripts

From: Mark Hindley <[email-masked]>
Date: Tue, 20 Jun 2023 13:52:33 +0100

Klaus,

On Tue, Jun 20, 2023 at 12:39:12PM +0100, Klaus Ethgen wrote:
> Hmm. I have to admit that I did not had the courage to boot the system
> without that init script as I am depending on working md devices.

OK, thanks. We have to be really careful about this then. Claiming non-existent
boot breakage as a justification considerably weakens any case we make. If you
want to persist with the assertion, your will need to verify: maybe try a boot
without the initscripts and with a recovery USB stick, or similar, to hand?.

> But I have a pretty old system with no initrd and separated /usr as it
> was supported long ago. So I am usual extra sensitive to such changes.

Yes, now I remember. Although I know you don't like it, booting without an
initrd has not been supported for a long time.  I am finding it hard to locate
the specific release, but I *think* it was Etch first released in 2007 and EOL
in 2010. Of course you are welcome to do it if you can get it to work, but you
are going to be continually disappointed by expecting Devuan or Debian to
support it in any way now. When booting without an initrd no longer works for
you, you may just have to accept that and start using one.

I am sorry if that sounds blunt or uncaring. It isn't meant to be -- just a
statement of fact. I had an old AMD K6 system that was made obsolete by the
change to gcc -march=686 default. I completely understand your pain. However,
Devuan (and Debian) has enough issues to deal with just to keep non-systemd init
viable and working.

With best wishes

Mark